[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Problema URGENTE con SB 128PCI



On Sun, Oct 06, 2002 at 09:41:32AM -0600, ancorgs@softhome.net wrote:
> Sé que un domingo no es el día más adecuado para
> las urgencias. Pero tengo que dejar instalada HOY
> una SoundBlaster 128 PCI en un equipo con núcleo
> recompilado a medida. 
> 
> El problema es que al hacer un lspci -v me dice 
> 
> Multimedia audio controller: Ensoniq 5880 AudioPCI (rev 02) 
> 
> Es decir, que el chip no es ni el es1370 ni el es1371. 
> 
> Me parece que para esta variante concreta de SB 128 necesito
> ALSA. ¿Me equivoco? Me haría muy feliz equivocarme. Si me dicen
> como hacerla funcionar con el núcleo estándar sería un puntazo. 
> 
> Si necesito alsa... ¿quien me pasa una guía ultrarápida para
> instalar el driver de ALSA recompilando un núcleo 2.4.19? No soy
> capaz ni de encontrar el parche de ALSA para el 2.4.19 y es que las
> prisas son malas consejeras. Con darme una url para un parche que
> yo haga un patch -p0 contra las fuentes del 2.4.19 ya me habrán
> hecho un buen favor. 

Pues alsa no necesita meterse con el kernel, sus modulos se compilan
aparte. Utiliza el apt para instalar los paquetes alsa-utils,
alsa-source, libasoundxxx, etc...

Luego tienes que irte a /usr/src, haces tar zxfv alsa-driver.tar.gz, te
metes en el directorio /usr/src/linux y ejecutas:

make-kpkg modules_image

Ahora aparecerá un paquete .deb con los modulos alsa en /usr/src.

Un saludo,

    Pedro

-- 
Pedro Martinez Juliá
\  yoros@terra.es
)|    yoros@wanadoo.es
/        http://yoros.cjb.net
Socio HispaLinux #311
Usuario Linux #275438 - http://counter.li.org
GnuPG public information:  pub  1024D/74F1D3AC
Key fingerprint = 8431 7B47 D2B4 5A46 5F8E  534F 588B E285 74F1 D3AC

Attachment: pgpuPwABQY5Kr.pgp
Description: PGP signature


Reply to: